# TARGTYPE "Win32 (x86) Console Application" 0x0103

!IF "$(CFG)" == ""
CFG=Win32 Debug
!MESSAGE No configuration specified.  Defaulting to Win32 Debug.
!ENDIF 

!IF "$(CFG)" != "Win32 Release" && "$(CFG)" != "Win32 Debug"
!MESSAGE Invalid configuration "$(CFG)" specified.
!MESSAGE You can specify a configuration when running NMAKE on this makefile
!MESSAGE by defining the macro CFG on the command line.  For example:
!MESSAGE 
!MESSAGE NMAKE /f "nt.mak" CFG="Win32 Debug"
!MESSAGE 
!MESSAGE Possible choices for configuration are:
!MESSAGE 
!MESSAGE "Win32 Release" (based on "Win32 (x86) Console Application")
!MESSAGE "Win32 Debug" (based on "Win32 (x86) Console Application")
!MESSAGE 
!ERROR An invalid configuration is specified.
!ENDIF 

################################################################################
# Begin Project
# PROP Target_Last_Scanned "Win32 Debug"
CPP=cl.exe
RSC=rc.exe

BINDIR=..\bin
LIBDIR=..\lib

ALL : libtool

libtool: $(LIBDIR)\libtool.lib $(BINDIR)\libtool.dll

$(LIBDIR) : 
	if not exist $(LIBDIR)/nul mkdir $(LIBDIR)


!IF  "$(CFG)" == "Win32 Debug"

# PROP BASE Use_MFC 0
# PROP BASE Use_Debug_Libraries 1
# PROP BASE Output_Dir "."
# PROP BASE Intermediate_Dir "."
# PROP Use_MFC 0
# PROP Use_Debug_Libraries 1
# PROP Output_Dir "."
# PROP Intermediate_Dir "."
OUTDIR=.
INTDIR=.

$(OUTDIR) : 
    if not exist $(OUTDIR)/nul mkdir $(OUTDIR)

DEFS=/D"DEBUG" /D"WIN32" /D"_CONSOLE"
O=obj

# ADD BASE CPP /nologo /W3 /GX /Zi /YX /Od /D "WIN32" /D "DEBUG" /D "_CONSOLE" /FR /c
# ADD CPP /nologo /W3 /GX /Zi /YX /Ob1 /I "..\include" /D "DEBUG" /D "WIN32" /D "_CONSOLE" /FR /c
# SUBTRACT CPP /WX
CPP_PROJ=/nologo /W3 /GX /Zi /YX /Ob1 /I "..\include" $(DEFS) /FR$(INTDIR)/\
 /Fp$(OUTDIR)/"libtoolnt.pch" /Fo$(INTDIR)/ /Fd$(OUTDIR)/"libtoolnt.pdb" /c 
CPP_OBJS=./
# ADD BASE RSC /l 0x409 /d "DEBUG"
# ADD RSC /l 0x409 /d "DEBUG"
BSC32=bscmake.exe
# ADD BASE BSC32 /nologo
# ADD BSC32 /nologo

stcnt.bsc : $(OUTDIR)  $(BSC32_SBRS)
    $(BSC32) @<<
  $(BSC32_FLAGS) $(BSC32_SBRS)
<<

LIBRUN=..\lib\librun.lib

LINK32=link.exe
# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib /NOLOGO /SUBSYSTEM:console /DEBUG /MACHINE:I386
# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib wsock32.lib /NOLOGO /SUBSYSTEM:console /DEBUG /MACHINE:I386

LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib \
 wsock32.lib \
 $(LIBRUN) \
 /NOLOGO /SUBSYSTEM:console /INCREMENTAL:yes\
 /PDB:$(OUTDIR)/"libtoolnt.pdb" /DEBUG /MACHINE:I386 /DLL \
 /OUT:"libtool.dll" /DEF:nt.def 
DEF_FILE=nt.def
LINK32_OBJS= \
	    SBrowser.$(O)                     \
	    BrwsrView.$(O)                    \
	    CBrowser.$(O)                     \
	    DebugView.$(O)                    \
	    NewLauncher.$(O)                  \
	    InspView.$(O)                     \
	      SetInspV.$(O)                   \
	      DictInspV.$(O)                  \
	      ConInspV.$(O)                   \
	      OCInspView.$(O)                 \
	    FBrowser.$(O)                     \
	ntlibtoolInit.obj

$(BINDIR)\libtool.dll: $(OUTDIR)\libtool.dll
	-copy $(OUTDIR)\libtool.dll $(BINDIR)\*.*

$(LIBDIR)\libtool.lib: $(OUTDIR)\libtool.lib
	-copy $(OUTDIR)\libtool.lib $(LIBDIR)\*.*

libtool.lib : $(OUTDIR) $(DEF_FILE) $(LINK32_OBJS)
    -$(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

libtool.dll : $(OUTDIR)  $(DEF_FILE) $(LINK32_OBJS) $(LIBRUN)
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

!ENDIF 

.c{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cpp{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

.cxx{$(CPP_OBJS)}.obj:
   $(CPP) $(CPP_PROJ) $<  

############################################################################
# Begin Group "src"

STC=..\bin\stc
INCL=-I"..\include"
STCFLAGS=-H..\include
DBGFLAGS=-Yd
# FFLAGS=-Fo.

.SUFFIXES: .st .obj

.st.obj:
    $(STC) $(INCL) $(FFLAGS) $(STCFLAGS) $(DBGFLAGS) $(DEFS) -c $<

.c.obj:
    $(CC) $(INCL) $(FFLAGS) $(DEFS) $(DBGFLAGS) -c $<

# End Source File
############################################################################

# End Group
# End Project
############################################################################
